#app_index:
#    path: /
#    controller: Symfony\Bundle\FrameworkBundle\Controller\RedirectController::redirectAction
#    defaults:
#        route: dashboard
#        permanent: true

api_login_check:
    path: /api/login_check

gesdinet_jwt_refresh_token:
    path: /api/token/refresh
    controller: gesdinet.jwtrefreshtoken::refresh

ato_controller :
      path: /api/storeAto
      controller :  App\Controller\Api\AtoController::newCreateAto
      methods: POST
ato_roles_controller :
      path : /api/rolesAto/{id}
      controller : App\Controller\Api\AtoRolesController::createNewRolesAto
      methods: POST

send_mail :
      path : /api/sendMail
      controller : App\Controller\MailerController::sendMail

upRating :
      path : /api/rating/{ratingId}
      controller : App\Controller\Api\RatingController::updateRating
      methods: POST

deleteRating :
  path : /api/ratings/{ratingId}
  controller : App\Controller\Api\RatingController::deleteRating
  methods: DELETE

createSkill :
      path : /api/newSkill
      controller : App\Controller\SkillController::createSkill
      methods: POST

updateSkill :
      path : /api/updateSkill/{skillId}
      controller : App\Controller\SkillController::updateSkill
      methods: POST

deleteSkill :
  path : /api/skills/{skillId}
  controller : App\Controller\SkillController::deleteSkill
  methods: DELETE

UpdateRatingValueMediaObject :
      path : /api/ratingUpdateMediaObject/{idRatingValue}
      controller : App\Controller\Api\RatingController::UpdateRatingValueMediaObject
      methods: GET

updatePhaseGroup:
  path : /api/updatePhaseSubGroup/{phaseGroupId}
  controller : App\Controller\Api\Phases\PhasesController::updatePhaseGroup
  methods: POST

deletePhaseGroup:
  path : /api/deletePhaseSubGroup/{phaseGroupId}
  controller : App\Controller\Api\Phases\PhasesController::deletePhaseGroup
  methods: DELETE

createTEM:
  path : /api/newTEM
  controller : App\Controller\Api\TEM\TEMController::createTEM
  methods: POST

updateTEM:
  path : /api/updateTEM/{temId}
  controller : App\Controller\Api\TEM\TEMController::updateTEM
  methods: POST

deleteTEM:
  path : /api/deleteTEM/{temId}
  controller : App\Controller\Api\TEM\TEMController::deleteTEM
  methods: DELETE

addStudent:
  path : /api/formations/{id}/add-students
  controller : App\Controller\Api\Formation\FormationAddStudentController::addStudent
  methods: PUT

addPromotion:
  path : /api/formations/{id}/add-promotions
  controller : App\Controller\Api\Formation\FormationAddPromotionController::addPromotion
  methods: PUT

getRatingReasonsByAto:
  path: /api/ato/{atoId}/ratingReasons
  controller: App\Controller\Api\RatingReason\RatingReasonController::getRatingReasonsByAto
  methods: GET

createRatingReason:
  path : /api/newRatingReason
  controller : App\Controller\Api\RatingReason\RatingReasonController::createRatingReason
  methods: POST

updateRatingReason:
  path : /api/updateRatingReason/{ratingReasonId}
  controller : App\Controller\Api\RatingReason\RatingReasonController::updateRatingReason
  methods: PUT

updateCounterCategory:
  path : /api/updateCounterCategory/{counterCategoryId}
  controller : App\Controller\Api\Counters\CountersController::updateCounterCategory
  methods: POST

deleteCounterCategory:
  path : /api/deleteCounterCategory/{counterCategoryId}
  controller : App\Controller\Api\Counters\CountersController::deleteCounterCategory
  methods: DELETE

updateSkillCategory:
  path : /api/updateSkillCategory/{skillCategoryId}
  controller : App\Controller\Api\Skills\SkillsCategoryController::updateSkillCategory
  methods: POST

deleteSkillCategory:
  path : /api/deleteSkillCategory/{skillCategoryId}
  controller : App\Controller\Api\Skills\SkillsCategoryController::deleteSkillCategory
  methods: DELETE

updateAircraft:
  path : /api/updateAircraft/{aircraft}
  controller : App\Controller\Api\Aircraft\AircraftController::updateAircraft
  methods: PUT

updateExtraLessonReason:
  path : /api/updateExtraLessonReason/{extraLessonReasonId}
  controller : App\Controller\Api\Lessons\ExtraLessonController::updateExtraLessonReason
  methods: PUT

deleteExtraLessonReason:
  path : /api/deleteExtraLessonReason/{extraLessonReasonId}
  controller : App\Controller\Api\Lessons\ExtraLessonController::deleteExtraLessonReason
  methods: DELETE

getFormationsStats:
  path : /api/atos/{ato}/formations/stats
  controller : App\Controller\Api\Formation\FormationStatsController::getFormationsStats
  methods: GET

getAtoFormationsLight:
  path : /api/atos/{ato}/formations/light
  controller : App\Controller\Api\Formation\FormationLight::getAtoFormationsLight
  methods: GET

getAtoRatingsLight:
  path : /api/atos/{ato}/ratings/light
  controller : App\Controller\Api\RatingController::getAtoRatingsLight
  methods: GET

getFiltersDataAnticipedLessons:
  path : /api/filters_data/anticiped_lessons
  controller : App\Controller\Api\AnticipedLessons\FiltersDataAnticipedLessons::getFiltersData
  methods: GET